summaryrefslogtreecommitdiffstats
path: root/source
diff options
context:
space:
mode:
Diffstat (limited to 'source')
-rwxr-xr-xsource/a/tree/tree.SlackBuild12
-rw-r--r--source/ap/itstool/itstool-2.0.4-segfault-1.patch55
-rwxr-xr-xsource/ap/itstool/itstool.SlackBuild10
-rwxr-xr-xsource/d/vala/vala.SlackBuild11
-rw-r--r--source/k/kernel-configs/config-generic-4.19.4 (renamed from source/k/kernel-configs/config-generic-4.19.3)2
-rw-r--r--source/k/kernel-configs/config-generic-4.19.4.x64 (renamed from source/k/kernel-configs/config-generic-4.19.3.x64)2
-rw-r--r--source/k/kernel-configs/config-generic-smp-4.19.4-smp (renamed from source/k/kernel-configs/config-generic-smp-4.19.3-smp)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.4 (renamed from source/k/kernel-configs/config-huge-4.19.3)2
-rw-r--r--source/k/kernel-configs/config-huge-4.19.4.x64 (renamed from source/k/kernel-configs/config-huge-4.19.3.x64)2
-rw-r--r--source/k/kernel-configs/config-huge-smp-4.19.4-smp (renamed from source/k/kernel-configs/config-huge-smp-4.19.3-smp)2
-rwxr-xr-xsource/l/dconf/dconf.SlackBuild11
-rwxr-xr-xsource/l/gc/gc.SlackBuild2
-rwxr-xr-xsource/l/keyutils/keyutils.SlackBuild2
-rwxr-xr-xsource/l/libsecret/libsecret.SlackBuild3
-rwxr-xr-xsource/n/dovecot/dovecot.SlackBuild8
-rw-r--r--source/n/dovecot/dovecot.glibc228.patch45
-rw-r--r--source/n/mailx/mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch25
-rw-r--r--source/n/mailx/mailx-12.5-openssl.patch41
-rw-r--r--source/n/mailx/mailx-12.5-outof-Introduce-expandaddr-flag.patch64
-rw-r--r--source/n/mailx/slack-desc19
-rw-r--r--source/n/s-nail/doinst.sh (renamed from source/n/mailx/doinst.sh)7
-rwxr-xr-xsource/n/s-nail/s-nail.SlackBuild (renamed from source/n/mailx/mailx.SlackBuild)132
-rw-r--r--source/n/s-nail/s-nail.url1
-rw-r--r--source/n/s-nail/slack-desc19
-rwxr-xr-xsource/tcl/tcl/tcl.SlackBuild4
-rwxr-xr-xsource/tcl/tk/tk.SlackBuild8
-rwxr-xr-xsource/x/xcm/xcm.SlackBuild14
-rwxr-xr-xsource/xap/gucharmap/gucharmap.SlackBuild2
-rwxr-xr-xsource/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild6
-rw-r--r--source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.url2
-rwxr-xr-xsource/xfce/xfce4-screenshooter/xfce4-screenshooter.SlackBuild2
-rw-r--r--source/xfce/xfce4-screenshooter/xfce4-screenshooter.url2
32 files changed, 145 insertions, 374 deletions
diff --git a/source/a/tree/tree.SlackBuild b/source/a/tree/tree.SlackBuild
index 4dd419c0..b3420104 100755
--- a/source/a/tree/tree.SlackBuild
+++ b/source/a/tree/tree.SlackBuild
@@ -23,10 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tree
-VERSION=1.7.0
-BUILD=${BUILD:-2}
-
-NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+VERSION=1.8.0
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -46,6 +44,8 @@ if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
exit 0
fi
+NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
+
TMP=${TMP:-/tmp}
PKG=$TMP/package-tree
@@ -67,8 +67,8 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf tree-$VERSION
-tar xvf $CWD/tree-$VERSION.tar.?z* || exit 1
-cd tree-$VERSION
+tar xvf $CWD/tree-$VERSION.tar.?z || exit 1
+cd tree-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
diff --git a/source/ap/itstool/itstool-2.0.4-segfault-1.patch b/source/ap/itstool/itstool-2.0.4-segfault-1.patch
deleted file mode 100644
index 05e21cb7..00000000
--- a/source/ap/itstool/itstool-2.0.4-segfault-1.patch
+++ /dev/null
@@ -1,55 +0,0 @@
-Submitted by: DJ Lucas (dj_AT_linuxfromscratch_DOT_org)
-Date: 2017-10-26
-Initial Package Version: 2.0.4
-Upstream Status: Comitted
-Origin: https://github.com/itstool/itstool/commit/9b84c007a73e8275ca45762f1bfa3ab7c3a852e2
-Description: Fixes memory exhaustion when freeing XML docs.
-
-
-diff -Naur a/itstool.in b/itstool.in
---- a/itstool.in
-+++ a/itstool.in
-@@ -477,6 +477,7 @@ class Document (object):
- if load_dtd:
- ctxt.loadSubset(1)
- if keep_entities:
-+ ctxt.loadSubset(1)
- ctxt.ctxtUseOptions(libxml2.XML_PARSE_DTDLOAD)
- ctxt.replaceEntities(0)
- else:
-@@ -1043,6 +1044,7 @@ class Document (object):
- if self._load_dtd:
- ctxt.loadSubset(1)
- if self._keep_entities:
-+ ctxt.loadSubset(1)
- ctxt.ctxtUseOptions(libxml2.XML_PARSE_DTDLOAD)
- ctxt.replaceEntities(0)
- else:
-@@ -1069,7 +1071,9 @@ class Document (object):
- ph_node = msg.get_placeholder(child.name).node
- if self.has_child_elements(ph_node):
- self.merge_translations(translations, None, ph_node, strict=strict)
-- child.replaceNode(ph_node)
-+ newnode = ph_node.copyNode(1)
-+ newnode.setTreeDoc(self._doc)
-+ child.replaceNode(newnode)
- else:
- repl = self.get_translated(ph_node, translations, strict=strict, lang=lang)
- child.replaceNode(repl)
-@@ -1084,10 +1088,15 @@ class Document (object):
- (lang + ' ') if lang is not None else '',
- msgstr.encode('utf-8')))
- self._xml_err = ''
-+ ctxt.doc().freeDoc()
- return node
- retnode = node.copyNode(2)
-+ retnode.setTreeDoc(self._doc)
- for child in xml_child_iter(trnode):
-- retnode.addChild(child.copyNode(1))
-+ newnode = child.copyNode(1)
-+ newnode.setTreeDoc(self._doc)
-+ retnode.addChild(newnode)
-+
- ctxt.doc().freeDoc()
- return retnode
-
diff --git a/source/ap/itstool/itstool.SlackBuild b/source/ap/itstool/itstool.SlackBuild
index ac15798e..ad0cd3c9 100755
--- a/source/ap/itstool/itstool.SlackBuild
+++ b/source/ap/itstool/itstool.SlackBuild
@@ -23,8 +23,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=itstool
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -68,7 +68,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
@@ -77,10 +77,6 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Fix segfault with version 2.0.4
-# http://www.linuxfromscratch.org/patches/blfs/svn/itstool-2.0.4-segfault-1.patch
-xzcat $CWD/itstool-2.0.4-segfault-1.patch.xz | patch --verbose -p1 || exit 1
-
# Configure:
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
diff --git a/source/d/vala/vala.SlackBuild b/source/d/vala/vala.SlackBuild
index 0fb81699..86c8ec5f 100755
--- a/source/d/vala/vala.SlackBuild
+++ b/source/d/vala/vala.SlackBuild
@@ -85,10 +85,7 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Don't use graphviz if it's not on the system. Unless you already have a Vala
-# compiler though, you'll need to build with graphviz the first time to use
-# the resulting package to bootstrap a non-graphviz build.
-# Sorry in advance to the Slackware From Scratch folks.
+# Don't use graphviz if it's not on the system.
if ! /bin/ls /usr/man/man7/graphviz.7.gz 1> /dev/null 2> /dev/null ; then
zcat $CWD/disable-graphviz.patch.gz | patch -p1 --verbose || exit 1
# The last one doesn't quite do it for 0.42.3.
@@ -111,6 +108,12 @@ CXXFLAGS="$SLKCFLAGS" \
--disable-static \
$GRAPHVIZ_SUPPORT \
--build=$ARCH-slackware-linux || exit 1
+
+# Hack to build if valac isn't already installed:
+if [ ! -r /usr/bin/valac ]; then
+ PATH=$(pwd)/compiler:$PATH
+fi
+
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
diff --git a/source/k/kernel-configs/config-generic-4.19.3 b/source/k/kernel-configs/config-generic-4.19.4
index 447062d6..7f0154e8 100644
--- a/source/k/kernel-configs/config-generic-4.19.3
+++ b/source/k/kernel-configs/config-generic-4.19.4
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-4.19.3.x64 b/source/k/kernel-configs/config-generic-4.19.4.x64
index 3e04e2cc..881d6c50 100644
--- a/source/k/kernel-configs/config-generic-4.19.3.x64
+++ b/source/k/kernel-configs/config-generic-4.19.4.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-generic-smp-4.19.3-smp b/source/k/kernel-configs/config-generic-smp-4.19.4-smp
index c6a0fbdd..bc1af190 100644
--- a/source/k/kernel-configs/config-generic-smp-4.19.3-smp
+++ b/source/k/kernel-configs/config-generic-smp-4.19.4-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.3 b/source/k/kernel-configs/config-huge-4.19.4
index 129b44c2..dcccd237 100644
--- a/source/k/kernel-configs/config-huge-4.19.3
+++ b/source/k/kernel-configs/config-huge-4.19.4
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-4.19.3.x64 b/source/k/kernel-configs/config-huge-4.19.4.x64
index b107ca85..3891abad 100644
--- a/source/k/kernel-configs/config-huge-4.19.3.x64
+++ b/source/k/kernel-configs/config-huge-4.19.4.x64
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/k/kernel-configs/config-huge-smp-4.19.3-smp b/source/k/kernel-configs/config-huge-smp-4.19.4-smp
index 72571e1a..f670175c 100644
--- a/source/k/kernel-configs/config-huge-smp-4.19.3-smp
+++ b/source/k/kernel-configs/config-huge-smp-4.19.4-smp
@@ -1,6 +1,6 @@
#
# Automatically generated file; DO NOT EDIT.
-# Linux/x86 4.19.3 Kernel Configuration
+# Linux/x86 4.19.4 Kernel Configuration
#
#
diff --git a/source/l/dconf/dconf.SlackBuild b/source/l/dconf/dconf.SlackBuild
index 58ac1b66..61e6ef40 100755
--- a/source/l/dconf/dconf.SlackBuild
+++ b/source/l/dconf/dconf.SlackBuild
@@ -95,13 +95,20 @@ meson setup \
--sysconfdir=/etc \
--localstatedir=/var \
--buildtype=release \
- -Denable-man=true \
- -Denable-gtk-doc=true \
+ -Dbash_completion=false \
+ -Dgtk_doc=true \
+ -Dman=true \
.. || exit 1
ninja || exit 1
DESTDIR=$PKG ninja install || exit 1
cd ..
+# bash-completion is not available at build time, so install the file manually:
+mkdir -p $PKG/usr/share/bash-completion/completions
+cp -a bin/completion/dconf $PKG/usr/share/bash-completion/completions/dconf
+chown root:root $PKG/usr/share/bash-completion/completions/dconf
+chmod 644 $PKG/usr/share/bash-completion/completions/dconf
+
# Compress manual pages:
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do
diff --git a/source/l/gc/gc.SlackBuild b/source/l/gc/gc.SlackBuild
index 871f7784..ef4d4dd9 100755
--- a/source/l/gc/gc.SlackBuild
+++ b/source/l/gc/gc.SlackBuild
@@ -27,7 +27,7 @@ PKGNAM=gc
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
-LAO_VERSION="7.6.4" # libatomic_ops version
+LAO_VERSION="7.6.6" # libatomic_ops version
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/keyutils/keyutils.SlackBuild b/source/l/keyutils/keyutils.SlackBuild
index 4ec01d2b..f0d81d84 100755
--- a/source/l/keyutils/keyutils.SlackBuild
+++ b/source/l/keyutils/keyutils.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=keyutils
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/l/libsecret/libsecret.SlackBuild b/source/l/libsecret/libsecret.SlackBuild
index a3df6378..728d894a 100755
--- a/source/l/libsecret/libsecret.SlackBuild
+++ b/source/l/libsecret/libsecret.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=libsecret
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -84,6 +84,7 @@ CXXFLAGS="$SLKCFLAGS" \
--sysconfdir=/etc \
--localstatedir=/var \
--mandir=/usr/man \
+ --enable-introspection \
--disable-static \
--docdir=/usr/doc/$PKGNAM-$VERSION \
--build=$ARCH-slackware-linux || exit 1
diff --git a/source/n/dovecot/dovecot.SlackBuild b/source/n/dovecot/dovecot.SlackBuild
index 81bcac08..5f175de9 100755
--- a/source/n/dovecot/dovecot.SlackBuild
+++ b/source/n/dovecot/dovecot.SlackBuild
@@ -26,7 +26,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=dovecot
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -101,12 +101,6 @@ zcat $CWD/dovecot.default.shadow.auth.diff.gz | patch -p1 --verbose || exit 1
# any need to send people to /usr/doc. Also, make sure that TLS is recommended.
zcat $CWD/dovecot.config.README.diff.gz | patch -p1 --verbose || exit 1
-# Fix crypt() usage with glibc-2.28:
-zcat $CWD/dovecot.glibc228.patch.gz | patch -p1 --verbose || exit 1
-
-# Since the crypt() patch patches configure.ac:
-autoreconf -vif
-
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
diff --git a/source/n/dovecot/dovecot.glibc228.patch b/source/n/dovecot/dovecot.glibc228.patch
deleted file mode 100644
index 76ef33aa..00000000
--- a/source/n/dovecot/dovecot.glibc228.patch
+++ /dev/null
@@ -1,45 +0,0 @@
-From 63a74b9e8e0604486a15a879e7f1a27257322400 Mon Sep 17 00:00:00 2001
-From: Aki Tuomi <aki.tuomi@dovecot.fi>
-Date: Wed, 8 Aug 2018 12:33:20 +0300
-Subject: [PATCH] auth: mycrypt - include crypt.h
-MIME-Version: 1.0
-Content-Type: text/plain; charset=UTF-8
-Content-Transfer-Encoding: 8bit
-
-Fixes crypt usage on glibc-2.28
-
-Reported by Reuben Farrelly
-Patch provided by Thore Bödecker
----
- configure.ac | 2 +-
- src/auth/mycrypt.c | 3 +++
- 2 files changed, 4 insertions(+), 1 deletion(-)
-
-diff --git a/configure.ac b/configure.ac
-index dd545ebfdc..c5d8fae666 100644
---- a/configure.ac
-+++ b/configure.ac
-@@ -315,7 +315,7 @@ AC_CHECK_HEADERS(strings.h stdint.h unistd.h dirent.h malloc.h \
- quota.h sys/fs/quota_common.h \
- mntent.h sys/mnttab.h sys/event.h sys/time.h sys/mkdev.h linux/dqblk_xfs.h \
- xfs/xqm.h execinfo.h ucontext.h malloc_np.h sys/utsname.h sys/vmount.h \
-- sys/utsname.h glob.h linux/falloc.h ucred.h sys/ucred.h)
-+ sys/utsname.h glob.h linux/falloc.h ucred.h sys/ucred.h crypt.h)
-
- CC_CLANG
- AC_CC_PIE
-diff --git a/src/auth/mycrypt.c b/src/auth/mycrypt.c
-index c49fcf842e..0bd00bc238 100644
---- a/src/auth/mycrypt.c
-+++ b/src/auth/mycrypt.c
-@@ -14,6 +14,9 @@
- # define _XPG6 /* Some Solaris versions require this, some break with this */
- #endif
- #include <unistd.h>
-+#ifdef HAVE_CRYPT_H
-+# include <crypt.h>
-+#endif
-
- #include "mycrypt.h"
-
-
diff --git a/source/n/mailx/mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch b/source/n/mailx/mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch
deleted file mode 100644
index a7fb9d36..00000000
--- a/source/n/mailx/mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch
+++ /dev/null
@@ -1,25 +0,0 @@
-From 73fefa0c1ac70043ec84f2d8b8f9f683213f168d Mon Sep 17 00:00:00 2001
-From: Florian Weimer <fweimer@redhat.com>
-Date: Mon, 17 Nov 2014 13:11:32 +0100
-Subject: [PATCH 4/4] globname: Invoke wordexp with WRDE_NOCMD (CVE-2004-2771)
-
----
- fio.c | 2 +-
- 1 file changed, 1 insertion(+), 1 deletion(-)
-
-diff --git a/fio.c b/fio.c
-index 1529236..774a204 100644
---- a/fio.c
-+++ b/fio.c
-@@ -497,7 +497,7 @@ globname(char *name)
- sigemptyset(&nset);
- sigaddset(&nset, SIGCHLD);
- sigprocmask(SIG_BLOCK, &nset, NULL);
-- i = wordexp(name, &we, 0);
-+ i = wordexp(name, &we, WRDE_NOCMD);
- sigprocmask(SIG_UNBLOCK, &nset, NULL);
- switch (i) {
- case 0:
---
-1.9.3
-
diff --git a/source/n/mailx/mailx-12.5-openssl.patch b/source/n/mailx/mailx-12.5-openssl.patch
deleted file mode 100644
index 210890bc..00000000
--- a/source/n/mailx/mailx-12.5-openssl.patch
+++ /dev/null
@@ -1,41 +0,0 @@
-diff --git a/openssl.c b/openssl.c
-index b4e33fc..9d1eaf4 100644
---- a/openssl.c
-+++ b/openssl.c
-@@ -136,6 +136,7 @@ ssl_rand_init(void)
- int state = 0;
-
- if ((cp = value("ssl-rand-egd")) != NULL) {
-+#ifndef OPENSSL_NO_EGD
- cp = expand(cp);
- if (RAND_egd(cp) == -1) {
- fprintf(stderr, catgets(catd, CATSET, 245,
-@@ -143,6 +144,9 @@ ssl_rand_init(void)
- cp);
- } else
- state = 1;
-+#else
-+ fprintf(stderr, "entropy daemon not available\n");
-+#endif
- } else if ((cp = value("ssl-rand-file")) != NULL) {
- cp = expand(cp);
- if (RAND_load_file(cp, 1024) == -1) {
-@@ -216,9 +220,16 @@ ssl_select_method(const char *uhp)
-
- cp = ssl_method_string(uhp);
- if (cp != NULL) {
-- if (equal(cp, "ssl2"))
-+ if (equal(cp, "ssl2")) {
-+#if OPENSSL_VERSION_NUMBER < 0x10100000
- method = SSLv2_client_method();
-- else if (equal(cp, "ssl3"))
-+#else
-+ /* SSLv2 support was removed in OpenSSL 1.1.0 */
-+ fprintf(stderr, catgets(catd, CATSET, 244,
-+ "Unsupported SSL method \"%s\"\n"), cp);
-+ method = SSLv23_client_method();
-+#endif
-+ } else if (equal(cp, "ssl3"))
- method = SSLv3_client_method();
- else if (equal(cp, "tls1"))
- method = TLSv1_client_method();
diff --git a/source/n/mailx/mailx-12.5-outof-Introduce-expandaddr-flag.patch b/source/n/mailx/mailx-12.5-outof-Introduce-expandaddr-flag.patch
deleted file mode 100644
index c3479e28..00000000
--- a/source/n/mailx/mailx-12.5-outof-Introduce-expandaddr-flag.patch
+++ /dev/null
@@ -1,64 +0,0 @@
-From 9984ae5cb0ea0d61df1612b06952a61323c083d9 Mon Sep 17 00:00:00 2001
-From: Florian Weimer <fweimer@redhat.com>
-Date: Mon, 17 Nov 2014 11:13:38 +0100
-Subject: [PATCH 1/4] outof: Introduce expandaddr flag
-
-Document that address expansion is disabled unless the expandaddr
-binary option is set.
-
-This has been assigned CVE-2014-7844 for BSD mailx, but it is not
-a vulnerability in Heirloom mailx because this feature was documented.
----
- mailx.1 | 14 ++++++++++++++
- names.c | 3 +++
- 2 files changed, 17 insertions(+)
-
-diff --git a/mailx.1 b/mailx.1
-index 70a7859..22a171b 100644
---- a/mailx.1
-+++ b/mailx.1
-@@ -656,6 +656,14 @@ but any reply returned to the machine
- will have the system wide alias expanded
- as all mail goes through sendmail.
- .SS "Recipient address specifications"
-+If the
-+.I expandaddr
-+option is not set (the default), recipient addresses must be names of
-+local mailboxes or Internet mail addresses.
-+.PP
-+If the
-+.I expandaddr
-+option is set, the following rules apply:
- When an address is used to name a recipient
- (in any of To, Cc, or Bcc),
- names of local mail folders
-@@ -2391,6 +2399,12 @@ and exits immediately.
- If this option is set,
- \fImailx\fR starts even with an empty mailbox.
- .TP
-+.B expandaddr
-+Causes
-+.I mailx
-+to expand message recipient addresses, as explained in the section,
-+Recipient address specifications.
-+.TP
- .B flipr
- Exchanges the
- .I Respond
-diff --git a/names.c b/names.c
-index 66e976b..c69560f 100644
---- a/names.c
-+++ b/names.c
-@@ -268,6 +268,9 @@ outof(struct name *names, FILE *fo, struct header *hp)
- FILE *fout, *fin;
- int ispipe;
-
-+ if (value("expandaddr") == NULL)
-+ return names;
-+
- top = names;
- np = names;
- time(&now);
---
-1.9.3
-
diff --git a/source/n/mailx/slack-desc b/source/n/mailx/slack-desc
deleted file mode 100644
index 76c010d7..00000000
--- a/source/n/mailx/slack-desc
+++ /dev/null
@@ -1,19 +0,0 @@
-# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
-# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
-# customary to leave one space after the ':'.
-
- |-----handy-ruler------------------------------------------------------|
-mailx: mailx (a simple mail client)
-mailx:
-mailx: Mailx is derived from Berkeley Mail and is intended provide the
-mailx: functionality of the POSIX mailx command with additional support
-mailx: for MIME, IMAP, POP3, SMTP, and S/MIME. It provides enhanced
-mailx: features for interactive use, such as caching and disconnected
-mailx: operation for IMAP, message threading, scoring, and filtering.
-mailx: It is also usable as a mail batch language, both for sending
-mailx: and receiving mail.
-mailx:
-mailx: The maintainer and primary developer of mailx is Gunnar Ritter.
diff --git a/source/n/mailx/doinst.sh b/source/n/s-nail/doinst.sh
index 62c288b4..b541fb20 100644
--- a/source/n/mailx/doinst.sh
+++ b/source/n/s-nail/doinst.sh
@@ -1,14 +1,13 @@
-#!/bin/sh
config() {
NEW="$1"
- OLD="`dirname $NEW`/`basename $NEW .new`"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
# If there's no config file by that name, mv it over:
if [ ! -r $OLD ]; then
mv $NEW $OLD
- elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
rm $NEW
fi
# Otherwise, we leave the .new copy for the admin to consider...
}
config etc/nail.rc.new
-# Make symlinks:
diff --git a/source/n/mailx/mailx.SlackBuild b/source/n/s-nail/s-nail.SlackBuild
index 9a2b2879..2795c911 100755
--- a/source/n/mailx/mailx.SlackBuild
+++ b/source/n/s-nail/s-nail.SlackBuild
@@ -1,6 +1,9 @@
-#!/bin/bash
+#!/bin/sh
+
+# Slackware build script for S-nail
# Copyright 2008, 2009, 2010, 2016, 2018 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2018 Johannes Schoepfer, Germany
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,17 +25,15 @@
cd $(dirname $0) ; CWD=$(pwd)
-PKGNAM=mailx
-VERSION=12.5
-BUILD=${BUILD:-4}
+PKGNAM=s-nail
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i586 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
@@ -48,49 +49,57 @@ NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
-elif [ "$ARCH" = "s390" ]; then
- SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
fi
TMP=${TMP:-/tmp}
-PKG=$TMP/package-mailx
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
-
cd $TMP
-rm -rf mailx-$VERSION
-tar xvf $CWD/mailx-$VERSION.tar.?z* || exit 1
-cd mailx-$VERSION || exit 1
-
-zcat $CWD/mailx-12.5-openssl.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/mailx-12.5-globname-Invoke-wordexp-with-WRDE_NOCMD-CVE-2004-277.patch.gz | patch -p1 --verbose || exit 1
-zcat $CWD/mailx-12.5-outof-Introduce-expandaddr-flag.patch.gz | patch -p1 --verbose || exit 1
-
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
- -exec chmod 755 {} \; -o \
- \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
- -exec chmod 644 {} \;
-
-make CFLAGS="$SLKCFLAGS" \
- PREFIX=/usr \
- MANDIR=/usr/man \
- MAILSPOOL=/var/spool/mail \
- UCBINSTALL=/usr/bin/install \
- SENDMAIL=/usr/sbin/sendmail || exit 1
-
-make install DESTDIR=$PKG \
- CFLAGS="$SLKCFLAGS" \
- PREFIX=/usr \
- MANDIR=/usr/man \
- MAILSPOOL=/var/spool/mail \
- UCBINSTALL=/usr/bin/install \
- SENDMAIL=/usr/sbin/sendmail || exit 1
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+make $NUMJOBS \
+ VAL_PREFIX=/usr \
+ VAL_SYSCONFDIR=/etc \
+ VAL_MANDIR=/usr/man \
+ VAL_MAIL=/var/spool/mail \
+ VAL_MTA=/usr/sbin/sendmail \
+ OPT_AUTOCC=0 \
+ VAL_SID= \
+ VAL_MAILX=mailx \
+ VAL_SYSCONFRC=nail.rc \
+ VAL_RANDOM="libgetrandom,sysgetrandom,urandom" \
+ config || exit 1
+
+make $NUMJOBS build || exit 1
+make $NUMJOBS test || exit 1
+make install DESTDIR=$PKG || exit 1
+
+# Tighten up the perms a bit:
+chmod 4711 $PKG//usr/libexec/mailx-privsep
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# We put symlinks in /bin since some things still expect '/bin/mail' or '/bin/Mail':
mkdir -p $PKG/bin
@@ -99,29 +108,18 @@ mkdir -p $PKG/bin
ln -sf /usr/bin/mailx mail
ln -sf /usr/bin/mailx nail
)
+
# Likewise, we make some compat symlinks in /usr/bin:
( cd $PKG/usr/bin
ln -sf mailx Mail
ln -sf mailx mail
ln -sf mailx nail
)
+
mv $PKG/etc/nail.rc $PKG/etc/nail.rc.new
-strip $PKG/usr/bin/mailx
-
-# Compress and link manpages, if any:
-if [ -d $PKG/usr/man ]; then
- ( cd $PKG/usr/man
- for manpagedir in $(find . -type d -name "man*") ; do
- ( cd $manpagedir
- for eachpage in $( find . -type l -maxdepth 1) ; do
- ln -s $( readlink $eachpage ).gz $eachpage.gz
- rm $eachpage
- done
- gzip -9 *.?
- )
- done
- )
-fi
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
# Manpage links:
( cd $PKG/usr/man/man1
@@ -130,24 +128,14 @@ fi
ln -sf mailx.1.gz Mail.1.gz
)
-mkdir -p $PKG/usr/doc/mailx-$VERSION
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL README TODO \
- $PKG/usr/doc/mailx-$VERSION
-
-# If there's a ChangeLog, installing at least part of the recent history
-# is useful, but don't let it get totally out of control:
-if [ -r ChangeLog ]; then
- DOCSDIR=$(echo $PKG/usr/doc/*-$VERSION)
- cat ChangeLog | head -n 1000 > $DOCSDIR/ChangeLog
- touch -r ChangeLog $DOCSDIR/ChangeLog
-fi
+ COPYING* INSTALL* NEWS* README* THANKS* \
+ $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
-zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
-# Build the package:
cd $PKG
-/sbin/makepkg -l y -c n $TMP/mailx-$VERSION-$ARCH-$BUILD.txz
-
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/n/s-nail/s-nail.url b/source/n/s-nail/s-nail.url
new file mode 100644
index 00000000..02474a4d
--- /dev/null
+++ b/source/n/s-nail/s-nail.url
@@ -0,0 +1 @@
+http://www.sdaoden.eu/downloads
diff --git a/source/n/s-nail/slack-desc b/source/n/s-nail/slack-desc
new file mode 100644
index 00000000..157bc7df
--- /dev/null
+++ b/source/n/s-nail/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+s-nail: s-nail (mail sending and receiving utility)
+s-nail:
+s-nail: S-nail provides a simple and friendly environment for sending and
+s-nail: receiving mail. It is intended to provide the functionality of the
+s-nail: POSIX mailx command, but is MIME capable and optionally offers
+s-nail: extensions for line editing, S/MIME, SMTP and POP3, among others.
+s-nail:
+s-nail: Homepage: http://www.sdaoden.eu/code.html#s-nail
+s-nail:
+s-nail:
+s-nail:
diff --git a/source/tcl/tcl/tcl.SlackBuild b/source/tcl/tcl/tcl.SlackBuild
index e48fba97..741b7d0a 100755
--- a/source/tcl/tcl/tcl.SlackBuild
+++ b/source/tcl/tcl/tcl.SlackBuild
@@ -23,9 +23,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tcl
-VERSION=${VERSION:-8.6.8}
+VERSION=${VERSION:-8.6.9}
# See also version number 8.6 in the symlinks below...)
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/tcl/tk/tk.SlackBuild b/source/tcl/tk/tk.SlackBuild
index c6bf2913..412e4d5f 100755
--- a/source/tcl/tk/tk.SlackBuild
+++ b/source/tcl/tk/tk.SlackBuild
@@ -23,9 +23,9 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=tk
-VERSION=${VERSION:-8.6.8}
+VERSION=${VERSION:-8.6.9.1}
# See also version number 8.6 in the symlinks below...)
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -70,9 +70,9 @@ PKG=$TMP/package-tk
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf tk$VERSION
+rm -rf tk8.6.9 tk$VERSION
tar xvf $CWD/tk$VERSION-src.tar.?z || exit 1
-cd tk$VERSION || exit 1
+cd tk$VERSION || cd tk8.6.9 || exit 1
sed -i -e "s#^TK_LIBRARY='\$(prefix)/lib/#TK_LIBRARY='\$(libdir)/#" \
unix/configure
diff --git a/source/x/xcm/xcm.SlackBuild b/source/x/xcm/xcm.SlackBuild
index 472e5b28..b2993428 100755
--- a/source/x/xcm/xcm.SlackBuild
+++ b/source/x/xcm/xcm.SlackBuild
@@ -27,7 +27,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xcm
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
@@ -94,6 +94,18 @@ make install DESTDIR=$PKG || exit 1
# Don't ship .la files:
rm -f $PKG/{,usr/}lib${LIBDIRSUFFIX}/*.la
+# Don't install the udev rules by default:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION/udev
+mv $PKG/lib/udev/rules.d/90-xcm-i2c.rules $PKG/usr/doc/$PKGNAM-$VERSION/udev
+rmdir $PKG/lib/udev/rules.d
+rmdir $PKG/lib/udev
+rmdir $PKG/lib 2> /dev/null
+cat << EOF > $PKG/usr/doc/$PKGNAM-$VERSION/udev/README
+Based on reports of problems on machines using amdgpu, the udev rules are no
+longer installed by default. But if you'd like to try them anyway, install the
+90-xcm-i2c.rules file in /lib/udev/rules.d.
+EOF
+
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | \
grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/source/xap/gucharmap/gucharmap.SlackBuild b/source/xap/gucharmap/gucharmap.SlackBuild
index 34d92131..9c593cad 100755
--- a/source/xap/gucharmap/gucharmap.SlackBuild
+++ b/source/xap/gucharmap/gucharmap.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=gucharmap
VERSION=${VERSION:-$(echo gucharmap-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
diff --git a/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild b/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
index 82ecd984..1f4accf8 100755
--- a/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
+++ b/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.SlackBuild
@@ -25,8 +25,8 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfce4-clipman-plugin
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -69,7 +69,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
find . \
diff --git a/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.url b/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.url
index 73b59ab1..5247654d 100644
--- a/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.url
+++ b/source/xfce/xfce4-clipman-plugin/xfce4-clipman-plugin.url
@@ -1 +1 @@
-http://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/
+http://archive.xfce.org/src/panel-plugins/xfce4-clipman-plugin/1.4/xfce4-clipman-plugin-1.4.3.tar.bz2
diff --git a/source/xfce/xfce4-screenshooter/xfce4-screenshooter.SlackBuild b/source/xfce/xfce4-screenshooter/xfce4-screenshooter.SlackBuild
index 3110cd0b..ce467749 100755
--- a/source/xfce/xfce4-screenshooter/xfce4-screenshooter.SlackBuild
+++ b/source/xfce/xfce4-screenshooter/xfce4-screenshooter.SlackBuild
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=xfce4-screenshooter
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
diff --git a/source/xfce/xfce4-screenshooter/xfce4-screenshooter.url b/source/xfce/xfce4-screenshooter/xfce4-screenshooter.url
index 48b2447e..4ac1f3ab 100644
--- a/source/xfce/xfce4-screenshooter/xfce4-screenshooter.url
+++ b/source/xfce/xfce4-screenshooter/xfce4-screenshooter.url
@@ -1 +1 @@
-http://archive.xfce.org/src/apps/xfce4-screenshooter/
+http://archive.xfce.org/src/apps/xfce4-screenshooter/1.9/xfce4-screenshooter-1.9.3.tar.bz2